Debian Bug report logs - #594684
xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong (SM712 LynxEM+)

version graph

Package: xserver-xorg-video-siliconmotion; Maintainer for xserver-xorg-video-siliconmotion is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-siliconmotion is src:xserver-xorg-video-siliconmotion.

Reported by: Tzafrir Cohen <tzafrir@cohens.org.il>

Date: Sat, 28 Aug 2010 11:15:05 UTC

Severity: important

Tags: patch

Merged with 669134

Found in versions xserver-xorg-video-siliconmotion/1:1.7.6-1, xserver-xorg-video-siliconmotion/1:1.7.5-1, xserver-xorg-video-siliconmotion/1:1.7.3-2, xserver-xorg-video-siliconmotion/1:1.7.4-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 28 Aug 2010 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Aug 2010 11:15:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: submit@bugs.debian.org
Subject: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong (SM712 LynxEM+)
Date: Sat, 28 Aug 2010 11:11:36 +0000
Package: xserver-xorg-video-siliconmotion
Version: 1:1.7.4-1
Severity: important

*** Please type your report below this line ***
I use a Yemote YeeLoong MIPS-based netbook:
http://wiki.gnewsense.org/Projects/Lemote#toc17

I use the extra staging (kernel) driver sm7xx to be able to use the console
at all (See http://bugs.debian.org/594642 ).

If I have  xserver-xorg-video-siliconmotion installed on my system (either
the one from testing or the one from experimental), X crashes at startup.
I have to remove it. This allows the fbdev video driver to be used (which
works generally well).

I was not able to get any useful backtrace from the core file. So I added
some debug messages to the driver. The last part of the log below with
those debug messages (befault the segfault message):

(II) SMI(0): No legacy BIOS found -- trying PCI
(EE) SMI(0): Cannot read V_BIOS (5) No such file or directory
(WW) SMI(0): VBE initialization failed: falling back to UseBIOS disabled.
(--) SMI(0): Chipset: "LynxEM+"
(==) SMI(0): Dual head disabled
(==) SMI(0): Using XAA acceleration architecture
(==) SMI(0): Tzafrir: Msg1 (SMI_PreInit)
(==) SMI(0): Tzafrir: Msg2 (SMI_PreInit)
(==) SMI(0): Tzafrir: Starting (SMI_MapMmio)
(==) SMI(0): Tzafrir: Starting (SMI_EnableMmio)
(==) SMI(0): Tzafrir: in if() (SMI_EnableMmio)
(==) SMI(0): Tzafrir: After vgaHWSetStdFuncs (SMI_EnableMmio)

So it basically segfaults at the first outb() in SMI_EnableMmio().

-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Oct 15  2008 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2182900 Jul 15 20:02 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:08.0 VGA compatible controller: Silicon Motion, Inc. SM712 LynxEM+ (rev b0)

/etc/X11/xorg.conf does not exist.

Kernel version (/proc/version):
Linux version 2.6.35-trunk-loongson-2f (Debian 2.6.35-1~experimental.2) (maks@debian.org) (gcc version 4.4.5 20100728 (prerelease) (Debian 4.4.4-8) ) #1 Tue Aug 17 21:45:32 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 43204 Dec 15  2009 /var/log/Xorg.20.log
-rw-r--r-- 1 root root  7367 Dec 16  2009 /var/log/Xorg.1.log
-rw-r--r-- 1 root root  6898 Aug 28 13:50 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-sb1-bcm91250a mips Debian
Current Operating System: Linux hungmung 2.6.35-trunk-loongson-2f #1 Tue Aug 17 21:45:32 UTC 2010 mips64
Kernel command line: console=tty root=/dev/sda1 PMON_VER=LM8089-1.4.5 EC_VER=PQ1D20  machtype=lemote-yeeloong-2f-8.9inches 
Build Date: 15 July 2010  04:20:25PM
xorg-server 2:1.7.7-3 (Cyril Brulebois <kibi@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Aug 28 13:50:49 2010
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x602160
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(--) using VT number 8

(--) PCI:*(0:0:8:0) 126f:0712:0000:0000 Silicon Motion, Inc. SM712 LynxEM+ rev 176, Mem @ 0x40000000/16777216
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched siliconmotion as autoconfigured driver 0
(==) Matched fbdev as autoconfigured driver 1
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "siliconmotion"
(II) Loading /usr/lib/xorg/modules/drivers/siliconmotion_drv.so
(II) Module siliconmotion: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.7.4
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 0.4.2
	ABI class: X.Org Video Driver, version 6.0
(II) SMI: driver (version 1.7.4) for Silicon Motion Lynx chipsets: Lynx,
	LynxE, Lynx3D, LynxEM, LynxEM+, Lynx3DM, Cougar3DR, MSOC
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 00@00:08:0
(WW) Falling back to old probe method for siliconmotion
(--) Assigning device section with no busID to primary device
(--) Chipset LynxEM+ found
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) SMI(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) SMI(0): Depth 24, (--) framebuffer bpp 32
(==) SMI(0): RGB weight 888
(==) SMI(0): Default visual is TrueColor
(==) SMI(0): PCI Burst enabled
(==) SMI(0): PCI Retry enabled
(==) SMI(0): Using Hardware Cursor
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) SMI(0): No legacy BIOS found -- trying PCI
(EE) SMI(0): Cannot read V_BIOS (5) No such file or directory
(WW) SMI(0): VBE initialization failed: falling back to UseBIOS disabled.
(--) SMI(0): Chipset: "LynxEM+"
(==) SMI(0): Dual head disabled
(==) SMI(0): Using XAA acceleration architecture

Backtrace:
0: (vdso) (4C+0xffffffff) [(nil)]
Segmentation fault at address 0x3c4

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.


udev information:
P: /devices/pci0000:00/0000:00:09.1/usb1/1-1/1-1:1.0/input/input2/event2
N: input/event2
S: char/13:66
S: input/by-id/usb-SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113-event-if00
S: input/by-path/pci-0000:00:09.1-usb-0:1:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:09.1/usb1/1-1/1-1:1.0/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=SuYin
E: ID_VENDOR_ENC=SuYin
E: ID_VENDOR_ID=064e
E: ID_MODEL=USB_2.0_Camera
E: ID_MODEL_ENC=USB\x202.0\x20Camera
E: ID_MODEL_ID=a114
E: ID_REVISION=1017
E: ID_SERIAL=SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113
E: ID_SERIAL_SHORT=CN0317-S30C-MC03-VS-B20081113
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:09.1-usb-0:1:1.0
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66 /dev/input/by-id/usb-SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113-event-if00 /dev/input/by-path/pci-0000:00:09.1-usb-0:1:1.0-event

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd

P: /devices/platform/i8042/serio1/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input1/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input1/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-1-mouse

DRM Information from dmesg:


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.35-trunk-loongson-2f
Locale: LANG=he_IL.UTF-8, LC_CTYPE=he_IL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-siliconmotion depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  xserver-xorg-core [xorg-video 2:1.7.7-3  Xorg X server - core server

xserver-xorg-video-siliconmotion recommends no packages.

xserver-xorg-video-siliconmotion suggests no packages.

-- no debconf information

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
tzafrir@debian.org    |                    | friend




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Wed, 01 Sep 2010 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 01 Sep 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 594684@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Tzafrir Cohen <tzafrir@cohens.org.il>, 594684@bugs.debian.org
Subject: Re: Bug#594684: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong (SM712 LynxEM+)
Date: Wed, 1 Sep 2010 02:58:33 +0200
[Message part 1 (text/plain, inline)]
Hi Tzafrir,

Tzafrir Cohen <tzafrir@cohens.org.il> (28/08/2010):
> I was not able to get any useful backtrace from the core file. So I
> added some debug messages to the driver. The last part of the log
> below with those debug messages (befault the segfault message):
> […]
> So it basically segfaults at the first outb() in SMI_EnableMmio().

With “exotic” drivers like this one, you want to install
xserver-xorg-core-dbg, as well as a customly-rebuilt driver using this
environment variable: DEB_BUILD_OPTIONS="noopt nostrip"; that should
get you an exploitable core file.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Wed, 01 Sep 2010 06:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 01 Sep 2010 06:57:10 GMT) Full text and rfc822 format available.

Message #15 received at 594684@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: 594684@bugs.debian.org
Subject: Re: Bug#594684: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong (SM712 LynxEM+)
Date: Wed, 1 Sep 2010 06:48:02 +0000
On Wed, Sep 01, 2010 at 02:58:33AM +0200, Cyril Brulebois wrote:
> Hi Tzafrir,
> 
> Tzafrir Cohen <tzafrir@cohens.org.il> (28/08/2010):
> > I was not able to get any useful backtrace from the core file. So I
> > added some debug messages to the driver. The last part of the log
> > below with those debug messages (befault the segfault message):
> > […]
> > So it basically segfaults at the first outb() in SMI_EnableMmio().
> 
> With “exotic” drivers like this one, you want to install
> xserver-xorg-core-dbg, as well as a customly-rebuilt driver using this
> environment variable: DEB_BUILD_OPTIONS="noopt nostrip"; that should
> get you an exploitable core file.

For the record, there seems to be a patch for it, but one that is too
Loongson-specific, in the two patches mentioned in
http://lists.debian.org/debian-mips/2010/08/msg00051.html

As mentioned further down that thread, it did not work for me.

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
tzafrir@debian.org    |                    | friend




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 05 Oct 2010 08:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Néstor Amigo Cairo <nestor@aberi.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 05 Oct 2010 08:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 594684@bugs.debian.org (full text, mbox):

From: Néstor Amigo Cairo <nestor@aberi.org>
To: 594684@bugs.debian.org
Subject: Backtrace of the bug
Date: Tue, 05 Oct 2010 10:30:21 +0200
[Message part 1 (text/plain, inline)]
Hello,

I have been able to get a backtrace of the bug. Here it is, attached.

Please, it's important to fix this bug to be able to use Debian Squeeze
on Lemote Yeeloong before it becomes stable.

Note: this backtracing comes from Debian Squeeze, with a "debugeable"
Xorg, and the corresponding versions of the applications, plus a not
stripped version of the driver (the same version 1.7.3).

Thank you,
Néstor.
-- 
Néstor Amigo Cairo -- www.aberi.org -- +34 687 967 481 (lu-vi, 9-13h)
Presidente de la Asociación por la Libertad de la Información
[gdb.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sun, 30 Jan 2011 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 30 Jan 2011 08:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 594684@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: Debian Bug Tracking System <594684@bugs.debian.org>
Subject: xserver-xorg-video-siliconmotion: exactly how the sarea patch worked for me
Date: Sun, 30 Jan 2011 03:21:30 -0500
Package: xserver-xorg-video-siliconmotion
Version: 1:1.7.3-2
Severity: normal

Hi all,

Here is my report on how I got the siliconmotion driver to run:

First, I installed debian on my lemote by downloading a netinst.iso
(from lenny, not a squeeze beta) and loaded up the initrd and
kernel from that with PMON. Install was pretty painless, except
for that annoying bug where the HD formatter won't do anything
unless you specify stuff manually.

Anyway, that worked as normal, except it said that debian has no
kernel for me, so I grabbed the
linux-image-2.6.37-libre-lemote_0lxo_mipsel.deb kernel from
GNewSense. And I made my own PMON configuration to boot without
grub. (I really like that the installer both warned me about
needing to set up a bootloader myself, and happily trusted me when
I said OK.)

Then I upgraded to unstable, no hitch there.

Then I installed the graphical environment (apt-get
gnome-desktop-environment or some such) and got the segfault from
siliconmotion as described by others in this bug.

I uninstalled xorg-video-siliconmotion and them my system worked ok
(but with slow graphics.)

Then I googled around for how to get the siliconmotion driver
working, and tried the following procedure:


	apt-get build-dep xorg-server
	mkdir xorg-server
	cd xorg-server
	apt-get source xorg-server
	dpkg-source -x xorg-server*.dsc
	cd xorg-server*/debian/patches/
	wget http://jasonwoof.com/downloads/01_mips-sarea.diff
	echo "01_mips-sarea.diff" >> series
	cd ../../
	dpkg-buildpackage -b -uc
	cd ../
	rm xserver-xorg-core-dbg*
	sudo dpkg -i *.deb

Except I didn't install all the .debs, just the ones that were
already installed.

Then from aptitude, I installed the siliconmotion driver again, and
rebooted.

I got a black screen (once X started up) but I guessed from the HD
activity light, that it had started up my gnome session. I noticed
also that I could switch back and fort from VT2 (ctrl-alt-F2). I
guessed that X was running, but that the screen was black for some
reason. A look at the xorg log confirmed my hunch that it was using
the wrong resolution. Using orca, I opened up
gnome-display-properties, and confirmed that it was set to 640x840
(the display is 1024x600) and that this was the only option in the
pulldown.

So back to Google, where I found an xorg.conf, which you can see
below. Only thing I changed was the DisplaySize so the text size
would be normal.

I logged out, and the gdm3 login page displayed as it should, and
now everything (including my usual gnome session) seems to be
working fine.

The screen seems to update a little faster, though without the
side-by-side, I couldn't say for sure. I'd guess screen redraws
take 50-80% of the time they used to.

The xorg log you see below is after full reboots.



Additional Notes:

1) I mirrored the sarea patch at:
http://jasonwoof.com/downloads/01_mips-sarea.diff
because the link above seemed dead. I believe it's the same patch
though.

2) I'm using the normal binutils package from debian. I ran accross
people saying you had to install a customized one, but I didn't. I
see that a recent changelog entry for binutils mentions a mips
patch. Perhaps that's why.




I hope this information is helpful. Please let me know if there is
additional testing/diagnostics/experimentation I can do, or if
there's additional info I can provide.

I love having debian unstable on my lemote, and I hope we can get
to the point where debian installs and works well without any
additional (lemote-specific) manual configuration or package
installation required.


Thank you so much,   - Jason




-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Jan 16 08:15 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2196128 Jan 28 11:44 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:08.0 VGA compatible controller: Silicon Motion, Inc. SM712 LynxEM+ (rev b0)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 4637 Jan 28 12:36 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
EndSection

Section "Module"
	Load  "fb"
	Load  "shadow"
	Load  "vbe"
	Load  "exa"
	Load  "shadowfb"
	Load  "extmod"
	Load  "dbe"
	Load  "vgahw"
	Load  "xaa"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
	Option       "DPMS" "false"
	HorizSync    30-70	#30-85
	VertRefresh  50-80	#40-75

	DisplaySize    289    169     # should be 90dpi if I got the math right
	#DisplaySize   197    117     # 1024x600  130 dpi
	ModeLine     "640x480@60" 25.2 640 656 752 800 480 490 492 525
	ModeLine     "640x480@70" 31.5 640 664 704 832 480 489 492 520
	ModeLine     "640x480@72" 31.5 640 656 720 840 480 481 484 500
	ModeLine     "640x480@85" 36.0 640 696 752 832 480 481 484 509
	ModeLine     "800x480@60" 29.6 800 816 896 992 480 481 484 497
	ModeLine     "800x480@70" 35.8 800 832 912 1024 480 481 484 500
	ModeLine     "800x480@75" 38.5 800 832 912 1024 480 481 484 502
	ModeLine     "800x480@80" 44.6 800 840 920 1040 480 481 484 505
	ModeLine     "800x600@56" 36.0 800 824 896 1024 600 601 603 625
	ModeLine     "800x600@60" 40.0 800 840 968 1056 600 601 605 628
	ModeLine     "800x600@72" 50.0 800 856 976 1040 600 637 643 666
	ModeLine     "800x600@75" 49.5 800 816 896 1056 600 601 604 625
	ModeLine     "800x600@85" 56.2 800 832 896 1048 600 601 604 631
	ModeLine     "1024x768@60" 65.0 1024 1048 1184 1344 768 771 777 806
	ModeLine     "1024x768@70" 75.0 1024 1048 1184 1328 768 771 777 806
	ModeLine     "1024x768@75" 78.8 1024 1040 1136 1312 768 769 772 800
	ModeLine     "1024x768@85" 94.5 1024 1072 1168 1376 769 769 772 808
	ModeLine     "1024x600@60" 49.0 1024 1064 1168 1312 600 601 604 622
	ModeLine     "1024x600@70" 58.1 1024 1072 1176 1328 600 601 604 625
	ModeLine     "1024x600@75" 63.2 1024 1080 1184 1344 600 601 604 627
	ModeLine     "1024x600@85" 62.8 1024 1080 1192 1360 600 601 604 630
	ModeLine     "1280x960@60" 108.0 1280 1376 1488 1800 960 961 964 1000
	ModeLine     "1280x960@85" 148.5 1280 1344 1504 1728 960 961 964 1011
	ModeLine     "1280x1024@60" 108.0 1280 1328 1440 1680 1024 1025 1028 1066
	ModeLine     "1280x768@60" 80.1 1280 1344 1480 1680 768 769 772 795
	ModeLine     "1280x768@75" 103.0 1280 1360 1496 1712 768 768 771 802
EndSection

Section "Device"
        
	Identifier  "Card0"
	Driver      "siliconmotion"
	#VendorName  "Silicon Motion, Inc."
	#BoardName   "SM712 LynxEM+"
	#BusID       "PCI:0:8:0"
	### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        Option     "pci_burst"          	"true"	# [<bool>]
	#Option     "dualhead"  "true"
        #Option     "fifo_conservative"  	# [<bool>]
        #Option     "fifo_moderate"      	# [<bool>]
        #Option     "fifo_aggressive"    	# [<bool>]
        #Option     "pci_retry"          	# [<bool>]
        #Option     "NoAccel"            	"true" # [<bool>]
        #Option     "set_mclk"           	"40000"  # <freq>
        #Option     "show_cache"         	# [<bool>]
        Option     "HWCursor"           	"True" # [<bool>]
	#Option     "AccelMethod"  "EXA"
	#Option     "SWCursor"           	"True" # [<bool>]
        #Option     "ShadowFB"           	# [<bool>]
        #Option     "Rotate"             	# [<str>]
        Option     "VideoKey" "45000"           	# <i>
        #Option     "ByteSwap"           	# [<bool>]
        #Option     "Interlaced"         	# [<bool>]
        Option     "UseBIOS"            	"False" # [<bool>]
	#Option     "ZoomOnLCD"          	"true" # [<bool>]
	Option      "PanelSize"  "1024x600"
	Option      "CSCVideo"  "false"
	#Option      "UseFBDev"		"true"
	
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	DefaultDepth	16
	SubSection "Display"
	Viewport   0 0
		Depth     8
		modes		"1024x600" "800x600" "640x480"
        #	modes		"1024x768@75" 
	#	modes		"800x600@60"
		#modes		"800x480@60"
	#	modes		"640x480@60"
	EndSubSection
	SubSection "Display"
	#	Viewport   0 0
		Depth     16
        #	modes		"1024x768@75" 
	#	modes		"800x600@60"
		modes		"1024x600@60"
		#modes		"640x480@60"
	EndSubSection
	SubSection "Display"
	#	Viewport   0 0
		Depth     24
		modes		"1024x600" "800x600" "640x480"
        #	modes		"1024x768@75" 
	#	modes		"800x600@60"
	#	modes		"800x480@60"
	#	modes		"640x480@60"
	EndSubSection
EndSection



Kernel version (/proc/version):
Linux version 2.6.37-libre-lemote (oliva@loongson2f-1) (gcc version 4.3.2 (Debian 4.3.2-1.1) ) #1 PREEMPT Thu Jan 6 11:56:46 UTC 2011

Xorg X server log files on system:
-rw-r--r-- 1 root root 23888 Jan 30 02:23 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.37-libre-lemote mips64 Debian
Current Operating System: Linux lemote 2.6.37-libre-lemote #1 PREEMPT Thu Jan 6 11:56:46 UTC 2011 mips64
Kernel command line: console=tty no_auto_cmd root=/dev/sda1 PMON_VER=LM8089-1.4.5 EC_VER=PQ1D28 rd_start=0x84000000 rd_size=0x745200  machtype=lemote-yeeloong-2f-8.9inches 
Build Date: 28 January 2011  10:20:47AM
xorg-server 2:1.7.7-11 (Cyril Brulebois <kibi@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Jan 30 02:23:30 2011
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x605eb0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:8:0) 126f:0712:0000:0000 Silicon Motion, Inc. SM712 LynxEM+ rev 176, Mem @ 0x40000000/16777216
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded by default.
(II) "record" will be loaded by default.
(II) "dri" will be loaded by default.
(II) "dri2" will be loaded by default.
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) LoadModule: "shadow"
(II) Loading /usr/lib/xorg/modules/libshadow.so
(II) Module shadow: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.5.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "shadowfb"
(II) Loading /usr/lib/xorg/modules/libshadowfb.so
(II) Module shadowfb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.2.1
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "siliconmotion"
(II) Loading /usr/lib/xorg/modules/drivers/siliconmotion_drv.so
(II) Module siliconmotion: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.7.3
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) SMI: driver (version 1.7.3) for Silicon Motion Lynx chipsets: Lynx,
	LynxE, Lynx3D, LynxEM, LynxEM+, Lynx3DM, Cougar3DR, MSOC
(WW) xf86EnableIOPorts: map iobase (2b7cc000)
(II) Primary Device is: PCI 00@00:08:0
(WW) Falling back to old probe method for siliconmotion
(--) Assigning device section with no busID to primary device
(--) Chipset LynxEM+ found
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Reloading /usr/lib/xorg/modules/libvgahw.so
(**) SMI(0): Depth 16, (--) framebuffer bpp 16
(==) SMI(0): RGB weight 565
(==) SMI(0): Default visual is TrueColor
(**) SMI(0): Option "pci_burst" "true"
(**) SMI(0): Option "HWCursor" "True"
(**) SMI(0): Option "VideoKey" "45000"
(**) SMI(0): Option "UseBIOS" "False"
(**) SMI(0): Option "PanelSize" "1024x600"
(**) SMI(0): Option "CSCVideo" "false"
(**) SMI(0): PCI Burst enabled
(==) SMI(0): PCI Retry enabled
(**) SMI(0): Using Hardware Cursor
(**) SMI(0): Option: Video key set to 0x0000AFC8
(**) SMI(0): Option: UseBIOS disabled.
(--) SMI(0): Chipset: "LynxEM+"
(==) SMI(0): Dual head disabled
(==) SMI(0): Using XAA acceleration architecture
(--) SMI(0): videoram: 4096kB
(II) SMI(0): Cursor Offset: 003FFC00
(II) SMI(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) SMI(0): Reserved: 003FF800
(II) SMI(0): OFF Panel Size = 1024x600
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) SMI(0): I2C bus "I2C bus" initialized.
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(==) SMI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) SMI(0): MCLK = 157.000
(II) SMI(0): Output LVDS using monitor section Monitor0
(II) SMI(0): Not using mode "640x480@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "640x480@70" (exceeds panel dimensions)
(II) SMI(0): Not using mode "640x480@72" (exceeds panel dimensions)
(II) SMI(0): Not using mode "640x480@85" (vrefresh out of range)
(II) SMI(0): Not using mode "800x480@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x480@70" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x480@75" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x480@80" (vrefresh out of range)
(II) SMI(0): Not using mode "800x600@56" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x600@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x600@72" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x600@75" (exceeds panel dimensions)
(II) SMI(0): Not using mode "800x600@85" (vrefresh out of range)
(II) SMI(0): Not using mode "1024x768@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "1024x768@70" (exceeds panel dimensions)
(II) SMI(0): Not using mode "1024x768@75" (exceeds panel dimensions)
(II) SMI(0): Not using mode "1024x768@85" (vrefresh out of range)
(II) SMI(0): Not using mode "1280x960@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "1280x960@85" (vrefresh out of range)
(II) SMI(0): Not using mode "1280x1024@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "1280x768@60" (exceeds panel dimensions)
(II) SMI(0): Not using mode "1280x768@75" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "640x350" (vrefresh out of range)
(II) SMI(0): Not using default mode "320x175" (doublescan mode not supported)
(II) SMI(0): Not using default mode "640x400" (vrefresh out of range)
(II) SMI(0): Not using default mode "320x200" (doublescan mode not supported)
(II) SMI(0): Not using default mode "720x400" (vrefresh out of range)
(II) SMI(0): Not using default mode "360x200" (doublescan mode not supported)
(II) SMI(0): Not using default mode "640x480" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "320x240" (doublescan mode not supported)
(II) SMI(0): Not using default mode "640x480" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "320x240" (doublescan mode not supported)
(II) SMI(0): Not using default mode "640x480" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "320x240" (doublescan mode not supported)
(II) SMI(0): Not using default mode "640x480" (vrefresh out of range)
(II) SMI(0): Not using default mode "320x240" (doublescan mode not supported)
(II) SMI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "400x300" (doublescan mode not supported)
(II) SMI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "400x300" (doublescan mode not supported)
(II) SMI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "400x300" (doublescan mode not supported)
(II) SMI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "400x300" (doublescan mode not supported)
(II) SMI(0): Not using default mode "800x600" (vrefresh out of range)
(II) SMI(0): Not using default mode "400x300" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1024x768" (interlace mode not supported)
(II) SMI(0): Not using default mode "512x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "512x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "512x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "512x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1024x768" (vrefresh out of range)
(II) SMI(0): Not using default mode "512x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "640x480" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1280x960" (vrefresh out of range)
(II) SMI(0): Not using default mode "640x480" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "640x512" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1280x1024" (hsync out of range)
(II) SMI(0): Not using default mode "640x512" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) SMI(0): Not using default mode "640x512" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1600x1200" (hsync out of range)
(II) SMI(0): Not using default mode "800x600" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1600x1200" (hsync out of range)
(II) SMI(0): Not using default mode "800x600" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1600x1200" (hsync out of range)
(II) SMI(0): Not using default mode "800x600" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1600x1200" (hsync out of range)
(II) SMI(0): Not using default mode "800x600" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) SMI(0): Not using default mode "800x600" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1792x1344" (hsync out of range)
(II) SMI(0): Not using default mode "896x672" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1792x1344" (hsync out of range)
(II) SMI(0): Not using default mode "896x672" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1856x1392" (hsync out of range)
(II) SMI(0): Not using default mode "928x696" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1856x1392" (hsync out of range)
(II) SMI(0): Not using default mode "928x696" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1920x1440" (hsync out of range)
(II) SMI(0): Not using default mode "960x720" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1920x1440" (hsync out of range)
(II) SMI(0): Not using default mode "960x720" (doublescan mode not supported)
(II) SMI(0): Not using default mode "832x624" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "416x312" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (vrefresh out of range)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (vrefresh out of range)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1152x864" (vrefresh out of range)
(II) SMI(0): Not using default mode "576x432" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) SMI(0): Not using default mode "680x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "680x384" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "700x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1400x1050" (hsync out of range)
(II) SMI(0): Not using default mode "700x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1400x1050" (hsync out of range)
(II) SMI(0): Not using default mode "700x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) SMI(0): Not using default mode "700x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "720x450" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "800x512" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1680x1050" (monitor doesn't support reduced blanking)
(II) SMI(0): Not using default mode "840x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) SMI(0): Not using default mode "840x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1680x1050" (hsync out of range)
(II) SMI(0): Not using default mode "840x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1680x1050" (hsync out of range)
(II) SMI(0): Not using default mode "840x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) SMI(0): Not using default mode "840x525" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1920x1080" (monitor doesn't support reduced blanking)
(II) SMI(0): Not using default mode "960x540" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1920x1200" (hsync out of range)
(II) SMI(0): Not using default mode "960x600" (doublescan mode not supported)
(II) SMI(0): Not using default mode "1920x1440" (vrefresh out of range)
(II) SMI(0): Not using default mode "960x720" (doublescan mode not supported)
(II) SMI(0): Not using default mode "2048x1536" (hsync out of range)
(II) SMI(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) SMI(0): Not using default mode "2048x1536" (hsync out of range)
(II) SMI(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) SMI(0): Not using default mode "2048x1536" (vrefresh out of range)
(II) SMI(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) SMI(0): Printing probed modes for output LVDS
(II) SMI(0): Modeline "1024x600@60"x60.0   49.00  1024 1064 1168 1312  600 601 604 622 (37.3 kHz)
(II) SMI(0): Modeline "1024x600@75"x75.0   63.20  1024 1080 1184 1344  600 601 604 627 (47.0 kHz)
(II) SMI(0): Modeline "1024x600@85"x73.3   62.80  1024 1080 1192 1360  600 601 604 630 (46.2 kHz)
(II) SMI(0): Modeline "1024x600@70"x70.0   58.10  1024 1072 1176 1328  600 601 604 625 (43.8 kHz)
(II) SMI(0): Modeline "1024x600"x59.9   49.00  1024 1072 1168 1312  600 603 613 624 -hsync +vsync (37.3 kHz)
(II) SMI(0): Output LVDS connected
(II) SMI(0): Using user preference for initial modes
(II) SMI(0): Output LVDS using initial mode 1024x600@60
(II) SMI(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(**) SMI(0): Display dimensions: (289, 169) mm
(**) SMI(0): DPI set to (89, 153)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Reloading /usr/lib/xorg/modules/libfb.so
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Reloading /usr/lib/xorg/modules/libxaa.so
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(II) SMI(0): Cursor Offset: 003FFC00
(II) SMI(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) SMI(0): Reserved: 003FF800
(II) SMI(0): FrameBuffer Box: 0,0 - 1024,2047
(II) SMI(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	8x8 color pattern filled rectangles
	CPU to Screen color expansion
	Solid Horizontal and Vertical Lines
	Setting up tile and stipple cache:
		28 128x128 slots
		7 256x256 slots
		32 8x8 color pattern slots
(II) SMI(0): I2C device "I2C bus:SAA 7111A" registered at address 0x48.
(II) SMI(0): I2C device "I2C bus:SAA 7111A" removed.
(II) SMI(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) SMI(0): Setting screen physical size to 289 x 169
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/event2)
(**) ImExPS/2 Generic Explorer Mouse: Applying InputClass "evdev pointer catchall"
(**) ImExPS/2 Generic Explorer Mouse: always reports core events
(**) ImExPS/2 Generic Explorer Mouse: Device: "/dev/input/event2"
(II) ImExPS/2 Generic Explorer Mouse: Found 9 mouse buttons
(II) ImExPS/2 Generic Explorer Mouse: Found scroll wheel(s)
(II) ImExPS/2 Generic Explorer Mouse: Found relative axes
(II) ImExPS/2 Generic Explorer Mouse: Found x and y relative axes
(II) ImExPS/2 Generic Explorer Mouse: Configuring as mouse
(**) ImExPS/2 Generic Explorer Mouse: YAxisMapping: buttons 4 and 5
(**) ImExPS/2 Generic Explorer Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "ImExPS/2 Generic Explorer Mouse" (type: MOUSE)
(II) ImExPS/2 Generic Explorer Mouse: initialized for relative axes.
(II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HotKeys (/dev/input/event1)
(**) HotKeys: Applying InputClass "evdev keyboard catchall"
(**) HotKeys: always reports core events
(**) HotKeys: Device: "/dev/input/event1"
(II) HotKeys: Found keys
(II) HotKeys: Configuring as keyboard
(II) XINPUT: Adding extended input device "HotKeys" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"

udev information:
P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd

P: /devices/platform/i8042/serio1/input/input2/event2
N: input/event2
S: char/13:66
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/char/13:66 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input2/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input2/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/virtual/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:65

DRM Information from dmesg:


-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.37-libre-lemote (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-siliconmotion depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  xserver-xorg-core [xorg-video 2:1.7.7-11 Xorg X server - core server

xserver-xorg-video-siliconmotion recommends no packages.

xserver-xorg-video-siliconmotion suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sun, 30 Jan 2011 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 30 Jan 2011 09:09:03 GMT) Full text and rfc822 format available.

Message #30 received at 594684@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jason Woofenden <jason@jasonwoof.com>, 594684@bugs.debian.org
Cc: Tzafrir Cohen <tzafrir@cohens.org.il>, Néstor Amigo Cairo <nestor@aberi.org>
Subject: Re: Bug#594684: xserver-xorg-video-siliconmotion: exactly how the sarea patch worked for me
Date: Sun, 30 Jan 2011 10:07:00 +0100
[Message part 1 (text/plain, inline)]
Hi Jason,

Jason Woofenden <jason@jasonwoof.com> (30/01/2011):
> Here is my report on how I got the siliconmotion driver to run: […]

many thanks, that looks quite promising. I'll try and look into it in
the next days/weeks, feel free to poke me if you see no action on this
bug in a while.

Néstor, Tzafrir, see Jason's full report at:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594684#25

(I've added them back in Cc, the BTS doesn't do that automatically.)

> 1) I mirrored the sarea patch at:
> http://jasonwoof.com/downloads/01_mips-sarea.diff because the link
> above seemed dead. I believe it's the same patch though.

I'm attaching it to this mail. Having the patches in the BTS is
usually a safe way to have them accessible no matter what happens to
external websites.

KiBi.
[01_mips-sarea.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 08 Mar 2011 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 08 Mar 2011 17:24:03 GMT) Full text and rfc822 format available.

Message #35 received at 594684@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 594684@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Jason Woofenden <jason@jasonwoof.com>, Tzafrir Cohen <tzafrir@cohens.org.il>, Néstor Amigo Cairo <nestor@aberi.org>
Subject: Re: Bug#594684: xserver-xorg-video-siliconmotion: exactly how the sarea patch worked for me
Date: Tue, 8 Mar 2011 18:22:22 +0100
[Message part 1 (text/plain, inline)]
tags 594684 patch
thanks

Hi,

I can confirm that 01_mips-sarea.diff worked:

- when applied in -core 1.7.7-11
- in combination with -siliconmotion 1:1.7.3-2 (unpatched)

It required specific settings in xorg.conf as Jason said, however,
not all the options provided by Jason were necessary.  I reduced
the settings through trial and error and am now using the attached
xorg.conf, which works fine for me.

-- 
Robert Millan
[xorg.conf (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 08 Mar 2011 17:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 18 Apr 2011 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <rm@romanrm.ru>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Apr 2011 05:00:03 GMT) Full text and rfc822 format available.

Message #42 received at 594684@bugs.debian.org (full text, mbox):

From: Roman Mamedov <rm@romanrm.ru>
To: 594684@bugs.debian.org
Subject: Please apply and rebuild the package
Date: Mon, 18 Apr 2011 10:50:47 +0600
[Message part 1 (text/plain, inline)]
So... with a patch available for 1 month+, why is this still not applied and
uploaded? The driver is currently useless on MIPS without this patch. Why do
you make people jump through hoops just to use Debian on the Yeeloong (manually
recompiling Xorg)? http://wiki.debian.org/DebianYeeloong/HowTo/Install

-- 
With respect,
Roman
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 18 Apr 2011 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Apr 2011 09:09:04 GMT) Full text and rfc822 format available.

Message #47 received at 594684@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Roman Mamedov <rm@romanrm.ru>, 594684@bugs.debian.org
Subject: Re: Bug#594684: Please apply and rebuild the package
Date: Mon, 18 Apr 2011 11:05:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

Roman Mamedov <rm@romanrm.ru> (18/04/2011):
> So... with a patch available for 1 month+, why is this still not
> applied and uploaded? The driver is currently useless on MIPS
> without this patch. Why do you make people jump through hoops just
> to use Debian on the Yeeloong (manually recompiling Xorg)?
> http://wiki.debian.org/DebianYeeloong/HowTo/Install

you know about volunteer-based distributions? Debian is one of
them. Meaning nobody (generally) gets paid to work on it, and meaning
stuff gets done when people have time to.

> With respect,
> Roman

(You're actually not showing much respect here.)

If you want to speed up things, get the patch reviewed upstream:
  http://wiki.x.org/wiki/Development/Documentation/SubmittingPatches

KiBi.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 18 Apr 2011 09:21:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <rm@romanrm.ru>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Apr 2011 09:21:21 GMT) Full text and rfc822 format available.

Message #52 received at 594684@bugs.debian.org (full text, mbox):

From: Roman Mamedov <rm@romanrm.ru>
To: Cyril Brulebois <kibi@debian.org>
Cc: 594684@bugs.debian.org
Subject: Re: Bug#594684: Please apply and rebuild the package
Date: Mon, 18 Apr 2011 15:19:59 +0600
[Message part 1 (text/plain, inline)]
On Mon, 18 Apr 2011 11:05:07 +0200
Cyril Brulebois <kibi@debian.org> wrote:

> Roman Mamedov <rm@romanrm.ru> (18/04/2011):
> > So... with a patch available for 1 month+, why is this still not
> > applied and uploaded? The driver is currently useless on MIPS
> > without this patch. Why do you make people jump through hoops just
> > to use Debian on the Yeeloong (manually recompiling Xorg)?
> > http://wiki.debian.org/DebianYeeloong/HowTo/Install
> 
> you know about volunteer-based distributions? Debian is one of
> them. Meaning nobody (generally) gets paid to work on it, and meaning
> stuff gets done when people have time to.

If a person stepped up to be a maintainer of a package, a certain amount of
responsibility is expected. If they can not do something as simple as
applying an already prepared patch in a 1.5 month timeframe, maybe it's
time for them to just stop holding things up and put the package up as
orphaned. If you have people waiting and relying on you, and simply can't
deliver, then just stop wasting everyone's time.

Actually I reviewed the patch and notice it actually touches not the
-siliconmotion driver, but xserver-xorg-core. Maybe the bug should be
reassigned as well?

-- 
With respect,
Roman
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 18 Apr 2011 09:54:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Apr 2011 09:54:20 GMT) Full text and rfc822 format available.

Message #57 received at 594684@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Roman Mamedov <rm@romanrm.ru>, 594684@bugs.debian.org
Subject: Re: Bug#594684: Please apply and rebuild the package
Date: Mon, 18 Apr 2011 11:49:18 +0200
[Message part 1 (text/plain, inline)]
Roman Mamedov <rm@romanrm.ru> (18/04/2011):
> If a person stepped up to be a maintainer of a package, a certain
> amount of responsibility is expected. If they can not do something
> as simple as applying an already prepared patch in a 1.5 month
> timeframe, maybe it's time for them to just stop holding things up
> and put the package up as orphaned. If you have people waiting and
> relying on you, and simply can't deliver, then just stop wasting
> everyone's time.

Everybody is free to join the maintenance team, and I did step up
because there was no-one left. Now please get in sync with reality,
I'm not preventing anyone to help on X packages, quite the contrary.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 26 Apr 2011 09:48:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 26 Apr 2011 09:48:34 GMT) Full text and rfc822 format available.

Message #62 received at 594684@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Roman Mamedov <rm@romanrm.ru>, 594684@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#594684: Please apply and rebuild the package
Date: Tue, 26 Apr 2011 11:44:32 +0200
On Mon, Apr 18, 2011 at 15:19:59 +0600, Roman Mamedov wrote:

> On Mon, 18 Apr 2011 11:05:07 +0200
> Cyril Brulebois <kibi@debian.org> wrote:
> 
> > Roman Mamedov <rm@romanrm.ru> (18/04/2011):
> > > So... with a patch available for 1 month+, why is this still not
> > > applied and uploaded? The driver is currently useless on MIPS
> > > without this patch. Why do you make people jump through hoops just
> > > to use Debian on the Yeeloong (manually recompiling Xorg)?
> > > http://wiki.debian.org/DebianYeeloong/HowTo/Install
> > 
> > you know about volunteer-based distributions? Debian is one of
> > them. Meaning nobody (generally) gets paid to work on it, and meaning
> > stuff gets done when people have time to.
> 
> If a person stepped up to be a maintainer of a package, a certain amount of
> responsibility is expected. If they can not do something as simple as
> applying an already prepared patch in a 1.5 month timeframe, maybe it's
> time for them to just stop holding things up and put the package up as
> orphaned. If you have people waiting and relying on you, and simply can't
> deliver, then just stop wasting everyone's time.
> 
> Actually I reviewed the patch and notice it actually touches not the
> -siliconmotion driver, but xserver-xorg-core. Maybe the bug should be
> reassigned as well?
> 
I don't think this patch has ever been submitted upstream to Xorg.
Whoever wants it integrated needs to do that.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 30 Apr 2011 10:12:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 30 Apr 2011 10:12:27 GMT) Full text and rfc822 format available.

Message #67 received at 594684@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Jason Woofenden <jason@jasonwoof.com>
Cc: 594684@bugs.debian.org
Subject: Re: xserver-xorg-video-siliconmotion: exactly how the sarea patch worked for me
Date: Sat, 30 Apr 2011 11:07:39 +0100
[Message part 1 (text/plain, inline)]
Jason Woofenden wrote:
> Package: xserver-xorg-video-siliconmotion
> Version: 1:1.7.3-2
> Severity: normal
<snip>
> Then I googled around for how to get the siliconmotion driver
> working, and tried the following procedure:
> 
> 
> 	apt-get build-dep xorg-server
> 	mkdir xorg-server
> 	cd xorg-server
> 	apt-get source xorg-server
> 	dpkg-source -x xorg-server*.dsc
> 	cd xorg-server*/debian/patches/
> 	wget http://jasonwoof.com/downloads/01_mips-sarea.diff
> 	echo "01_mips-sarea.diff" >> series
> 	cd ../../
> 	dpkg-buildpackage -b -uc
> 	cd ../
> 	rm xserver-xorg-core-dbg*
> 	sudo dpkg -i *.deb
> 
> Except I didn't install all the .debs, just the ones that were
> already installed.
> 
> Then from aptitude, I installed the siliconmotion driver again, and
> rebooted.

After following this procedure, including having the correct xorg.conf,
I have working X. However, the VGA output under X does not work for me.
If I switch to a virtual console then I do get the virtual console
outputted to VGA. Do you have working VGA output under X?

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 30 Apr 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 30 Apr 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #72 received at 594684@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Jason Woofenden <jason@jasonwoof.com>
Cc: 594684@bugs.debian.org
Subject: Re: xserver-xorg-video-siliconmotion: exactly how the sarea patch worked for me
Date: Sat, 30 Apr 2011 19:13:53 +0100
[Message part 1 (text/plain, inline)]
> I have working X. However, the VGA output under X does not work for me.=

> If I switch to a virtual console then I do get the virtual console
> outputted to VGA. Do you have working VGA output under X?

Patch required to get VGA output working, see
#624695 xserver-xorg-video-siliconmotion: No VGA output on Lemote
Yeeloong. <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D624695>.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 25 Jun 2011 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 25 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #77 received at 594684@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 594684@bugs.debian.org
Subject: Contacting patch author
Date: Sat, 25 Jun 2011 09:45:14 -0700
Hi,

I'm trying to get the 01_mips-sarea.diff patch upstream, so I've
contacted the patch distributor, Jason Woof, to find out if I have the
right to submit it.

-- 
Matt Kraai
https://ftbfs.org/kraai




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 25 Jun 2011 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 25 Jun 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #82 received at 594684@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: 594684@bugs.debian.org
Cc: Matt Kraai <kraai@ftbfs.org>
Subject: Re: Bug#594684: Contacting patch author
Date: Sat, 25 Jun 2011 18:42:38 -0400
Hi all,

Not sure why I wasn't subscribed to this bug already, but I am now.

I'm not the author of the 01_mips-sarea.diff patch. I mirrored it
because it took me a while to find a working download link to it.
It's often called 999_loongson-mips-sarea.diff

My oldest notes show me getting it from a "luishi", and I remember
also downloading a copy from bernie (with the name
01_mips-sarea.diff), though I suspect his is also a mirror.

I just spent a while digging around, and here's the best link:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601119

That's Luishi with full email address submitting the patch to
debian bugs!


If you'd like to ask Bernie about it, here's his home page with
contact info:

http://www.codewiz.org/


That's what I found today that seemed most useful.

Thank you,    - Jason


P.S. Some other links that might possibly be of interest. These are
just other mirrors of the file, but the people/organizations that
are hosting them may know something about the file's origin.

http://debian.ustc.edu.cn/loongson2f/wheezy/xorg-server/

http://debmirror.romanrm.ru/anheng/wheezy/xorg-server/

http://codewiz.org/~bernie/lemote/siliconmotion/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Fri, 09 Sep 2011 12:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 09 Sep 2011 12:51:12 GMT) Full text and rfc822 format available.

Message #87 received at 594684@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 594684@bugs.debian.org
Subject: Refreshed patch
Date: Fri, 9 Sep 2011 05:49:44 -0700
[Message part 1 (text/plain, inline)]
Hi,

Attached is a refreshed patch that applies against xorg-server 2:1.11.0-1.

-- 
Matt Kraai
https://ftbfs.org/kraai
[01_mips-sarea.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 19 Sep 2011 08:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 19 Sep 2011 08:18:15 GMT) Full text and rfc822 format available.

Message #92 received at 594684@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: 594684@bugs.debian.org
Subject: Package
Date: Mon, 19 Sep 2011 11:16:52 +0300
In the hope that this bug can be closed, I have prepared a package that incorporates the patch.

It is available at:
http://mentors.debian.net/package/xorg-server

-- 
Best regards,
Panayiotis Karabassis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 19 Sep 2011 12:42:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 19 Sep 2011 12:42:39 GMT) Full text and rfc822 format available.

Message #97 received at 594684@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Panayiotis Karabassis <panayk@gmail.com>, 594684@bugs.debian.org
Subject: Re: Bug#594684: Package
Date: Mon, 19 Sep 2011 14:40:07 +0200
On Mon, Sep 19, 2011 at 11:16:52 +0300, Panayiotis Karabassis wrote:

> In the hope that this bug can be closed, I have prepared a package that incorporates the patch.
> 
> It is available at:
> http://mentors.debian.net/package/xorg-server
> 
What I said in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594684#62 still
applies.  We won't carry this in the debian package until it's upstream.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 19 Sep 2011 13:36:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 19 Sep 2011 13:36:25 GMT) Full text and rfc822 format available.

Message #102 received at 594684@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: Julien Cristau <julien@cristau.org>
Cc: 594684@bugs.debian.org
Subject: Re: Bug#594684: Package
Date: Mon, 19 Sep 2011 16:35:37 +0300
Is this dictated by Debian Policy? Just curious.

On 09/19/2011 03:40 PM, Julien Cristau wrote:
> On Mon, Sep 19, 2011 at 11:16:52 +0300, Panayiotis Karabassis wrote:
> 
>> In the hope that this bug can be closed, I have prepared a package that incorporates the patch.
>>
>> It is available at:
>> http://mentors.debian.net/package/xorg-server
>>
> What I said in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594684#62 still
> applies.  We won't carry this in the debian package until it's upstream.
> 
> Cheers,
> Julien

-- 
Best regards,
    Panayiotis Karabassis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 19 Sep 2011 22:19:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 19 Sep 2011 22:19:20 GMT) Full text and rfc822 format available.

Message #107 received at 594684@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Panayiotis Karabassis <panayk@gmail.com>, 594684@bugs.debian.org
Subject: Re: Bug#594684: Package
Date: Mon, 19 Sep 2011 23:55:01 +0200
On Mon, Sep 19, 2011 at 16:35:37 +0300, Panayiotis Karabassis wrote:

> Is this dictated by Debian Policy? Just curious.
> 
It's dictated by wanting to remain sane, as much as possible.  Which
implies not forking X with random feature patches.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 20 Sep 2011 00:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 20 Sep 2011 00:54:05 GMT) Full text and rfc822 format available.

Message #112 received at 594684@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 594684@bugs.debian.org
Subject: Re: Bug#594684: Package
Date: Tue, 20 Sep 2011 03:51:10 +0300
Hi Julien,

On 09/20/2011 12:55 AM, Julien Cristau wrote:
> On Mon, Sep 19, 2011 at 16:35:37 +0300, Panayiotis Karabassis wrote:
> 
>> Is this dictated by Debian Policy? Just curious.
>>
> It's dictated by wanting to remain sane, as much as possible.  Which
> implies not forking X with random feature patches.
> 
> Cheers,
> Julien

It's not a random feature patch. X is unusable on Yeelong without this
patch.( So I am told, I have not tried ). Recompiling X takes about 3
hours on Yeelong. And nothing prevents you to drop the patch when it's
included upstream. Quilt will just tell about it.

What do others think?

-- 
Best regards,
    Panayiotis Karabassis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 20 Sep 2011 08:00:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 20 Sep 2011 08:00:20 GMT) Full text and rfc822 format available.

Message #117 received at 594684@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Panayiotis Karabassis <panayk@gmail.com>, 594684@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#594684: Package
Date: Tue, 20 Sep 2011 09:47:51 +0200
[Message part 1 (text/plain, inline)]
Panayiotis Karabassis <panayk@gmail.com> (20/09/2011):
> It's not a random feature patch. X is unusable on Yeelong without this
> patch.( So I am told, I have not tried ). Recompiling X takes about 3
> hours on Yeelong. And nothing prevents you to drop the patch when it's
> included upstream. Quilt will just tell about it.
> 
> What do others think?

Exactly what he said.

Can you enlighten us and explain what the matter is with working with
upstream instead of pushing this patch on us only?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 20 Sep 2011 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 20 Sep 2011 08:39:03 GMT) Full text and rfc822 format available.

Message #122 received at 594684@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 594684@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#594684: Package
Date: Tue, 20 Sep 2011 11:35:06 +0300
I was asking other USERS what they think.

So, let's get this straight:
1) Your users have a found a critical bug with your package.
2) Your users invested a great deal of time and work in tracking down
the bug, and fixing it, what YOU should be doing.
3) Your users have supplied you with a working patch, and built a
working package, which you only have to review and upload.

But YOU would rather leave a great deal of your users (and actually
users who are using a Free computer) without an Xserver. So that you
don't have to type the command 'rm 01_mips-sarea.diff' sometime in the
future.

Great work and great sense of responsibility. Keep it up.

P.S. From what I understand from previous messages, the patch has
already been submitted upstream. But isn't that your job TOO? Otherwise
what's the point of the BTS or even a distribution?

On 09/20/2011 10:47 AM, Cyril Brulebois wrote:
> Panayiotis Karabassis <panayk@gmail.com> (20/09/2011):
>> It's not a random feature patch. X is unusable on Yeelong without this
>> patch.( So I am told, I have not tried ). Recompiling X takes about 3
>> hours on Yeelong. And nothing prevents you to drop the patch when it's
>> included upstream. Quilt will just tell about it.
>>
>> What do others think?
> 
> Exactly what he said.
> 
> Can you enlighten us and explain what the matter is with working with
> upstream instead of pushing this patch on us only?
> 
> Mraw,
> KiBi.

-- 
Panayiotis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 20 Sep 2011 12:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 20 Sep 2011 12:48:21 GMT) Full text and rfc822 format available.

Message #127 received at 594684@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Panayiotis Karabassis <panayk@gmail.com>, 594684@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#594684: Package
Date: Tue, 20 Sep 2011 14:47:11 +0200
[Message part 1 (text/plain, inline)]
Panayiotis Karabassis <panayk@gmail.com> (20/09/2011):
> So, let's get this straight:
> 1) Your users have a found a critical bug with your package.
> 2) Your users invested a great deal of time and work in tracking down
> the bug, and fixing it, what YOU should be doing.
> 3) Your users have supplied you with a working patch, and built a
> working package, which you only have to review and upload.
> 
> But YOU would rather leave a great deal of your users (and actually
> users who are using a Free computer) without an Xserver. So that you
> don't have to type the command 'rm 01_mips-sarea.diff' sometime in the
> future.
> 
> Great work and great sense of responsibility. Keep it up.
> 
> P.S. From what I understand from previous messages, the patch has
> already been submitted upstream. But isn't that your job TOO? Otherwise
> what's the point of the BTS or even a distribution?

What we try to do is simple: do the right thing. The right thing to do
in the FLOSS world is to share patches. The simplest way to do that is
forward patches upstream. Upstream who knows what patch to merge,
reject, rework, etc., possibly giving advice when needed.

We've tried to explain what to do to get things done. Now, if you want
to get that patch merged, you know the next step. Asking other users
what they think won't really help getting a patch merged upstream.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 20 Sep 2011 13:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 20 Sep 2011 13:03:18 GMT) Full text and rfc822 format available.

Message #132 received at 594684@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 594684@bugs.debian.org
Subject: Re: Bug#594684: Package
Date: Tue, 20 Sep 2011 15:58:37 +0300
I apologize for using harsh language. But you must understand there is limited time I can give to this issue, and I used it by recompiling the package. Personally I have no problem compiling a new xserver every few months. When I find time, and if it has not been done already, I'll submit the patch upstream.

On Tue, 20 Sep 2011 14:47:11 +0200
Cyril Brulebois <kibi@debian.org> wrote:

> Panayiotis Karabassis <panayk@gmail.com> (20/09/2011):
> > So, let's get this straight:
> > 1) Your users have a found a critical bug with your package.
> > 2) Your users invested a great deal of time and work in tracking down
> > the bug, and fixing it, what YOU should be doing.
> > 3) Your users have supplied you with a working patch, and built a
> > working package, which you only have to review and upload.
> > 
> > But YOU would rather leave a great deal of your users (and actually
> > users who are using a Free computer) without an Xserver. So that you
> > don't have to type the command 'rm 01_mips-sarea.diff' sometime in the
> > future.
> > 
> > Great work and great sense of responsibility. Keep it up.
> > 
> > P.S. From what I understand from previous messages, the patch has
> > already been submitted upstream. But isn't that your job TOO? Otherwise
> > what's the point of the BTS or even a distribution?
> 
> What we try to do is simple: do the right thing. The right thing to do
> in the FLOSS world is to share patches. The simplest way to do that is
> forward patches upstream. Upstream who knows what patch to merge,
> reject, rework, etc., possibly giving advice when needed.
> 
> We've tried to explain what to do to get things done. Now, if you want
> to get that patch merged, you know the next step. Asking other users
> what they think won't really help getting a patch merged upstream.
> 
> Mraw,
> KiBi.

-- 
Best regards,
    Panayiotis Karabassis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 20 Sep 2011 13:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Panayiotis Karabassis <panayk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 20 Sep 2011 13:48:07 GMT) Full text and rfc822 format available.


Message #137 received at 594684@bugs.debian.org (full text, mbox):

From: Panayiotis Karabassis <panayk@gmail.com>
To: 594684@bugs.debian.org
Date: Tue, 20 Sep 2011 16:45:51 +0300
Bug opened on Xorg.

https://bugs.freedesktop.org/show_bug.cgi?id=41038

-- 
Best regards,
    Panayiotis Karabassis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Thu, 20 Sep 2012 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <rm@romanrm.ru>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 20 Sep 2012 16:03:05 GMT) Full text and rfc822 format available.

Message #142 received at 594684@bugs.debian.org (full text, mbox):

From: Roman Mamedov <rm@romanrm.ru>
To: 594684@bugs.debian.org
Subject: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong
Date: Thu, 20 Sep 2012 21:51:18 +0600
[Message part 1 (text/plain, inline)]
> Bug opened on Xorg.

Problem is -- at Xorg, no one gives a damn.

Panayiotis Karabassis submitted it, and have not received any proper review or
even any sort of formal accepted/declined reply about the patch.

That was one year ago. So another year of hassle with three hour compiles of
Xorg for every end user with this problem.

OK, there might be very few users of this particular hardware. Out of them
maybe 2 or 3 people are Xorg developers. And they are newbie ones, at that. It
is very easy for Debian and Xorg maintainers to ignore the issue -- and we
can't do anything about it. Other than maybe paying cash -- hey everyone, how
about, I dunno, a Kickstarter campaign? to get the Debian MIPS Xorg patched to
operate on SiliconMotion? Then we could find one of these hard-working
maintainers and pay them to add that single line into that quilt file or a do
some git pull to apply the already prepared patch that solves an actual
problem. If that's the only way to get this done.

I do not have a good solution to resolving this bug, I just think no one
would've been harmed much, and people would be very thankful, if this would
simply included into Debian, and that should've been done a long time ago.

Free software sometimes works out so well.

-- 
With respect,
Roman

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Thu, 20 Sep 2012 17:00:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 20 Sep 2012 17:00:38 GMT) Full text and rfc822 format available.

Message #147 received at 594684@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Roman Mamedov <rm@romanrm.ru>, 594684@bugs.debian.org
Subject: Re: Bug#594684: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong
Date: Thu, 20 Sep 2012 17:58:04 +0100
On 20/09/12 16:51, Roman Mamedov wrote:
> I do not have a good solution to resolving this bug, I just think no one
> would've been harmed much, and people would be very thankful, if this would

From what I remember, the problem is MIPS-specific (based on C
preprocessor defines), and makes it impossible to use this variety of
siliconmotion hardware on any MIPS system.  (No code exists to
initialise the IOPortBase, which is later needed for doing memory-mapped
I/O, and causes the crash).

One of the patches would fix it by hard-coding a loongson-specific base
address.  That doesn't seem ideal;  but if there is no way this hardware
could be working on any other MIPS system, maybe that is okay for now?

The patch probably needs cleaning up to apply against the latest Xorg in
unstable.  And it should be annotated to credit the original author (who
I think we were unsure of?).


IIRC the other, more objectionable patch (which would have affected
other platforms) doesn't *seem* to be needed any more.  At least, I have
a working Wheezy system on which I don't remember having to apply the
sarea patch.  (I must look into this...).


I was hoping (last year) that all remaining issues affecting Lemote
loongson systems might have been fixed for Wheezy, so that Debian
GNU/Linux installs & runs out-of-the-box, but unfortunately not :(

I'm also surprised how few mipsel systems show in popcon (46).  Of
these, there appear to be at least 10x running the new loongson-2f
kernel flavour, 10x r5k-cobalt, 5x 4kc-malta, 2x 5kc-malta, and 1x
sb1-bcm91250a.

http://qa.debian.org/popcon-graph.php?packages=linux-image-3.2.0-4-loongson-2f+linux-image-3.2.0-3-loongson-2f+linux-image-3.2.0-2-loongson-2f+linux-image-3.2.0-1-loongson-2f

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Mon, 01 Oct 2012 12:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 01 Oct 2012 12:45:07 GMT) Full text and rfc822 format available.

Message #152 received at 594684@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <594684@bugs.debian.org>
Subject: Re: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong (SM712 LynxEM+)
Date: Mon, 01 Oct 2012 13:42:26 +0100
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-video-siliconmotion
Version: 1:1.7.6-1
Followup-For: Bug #594684

Attached is the patch I'm currently using against xorg-server-core to
make this work.

It is based on the original patch here, but written slightly
differently.  I also added a munmap() that seemed to be missing.  It
seems to work without changing the SAREA (the more controversial part of
the original patch I think);  now the only changes are specific to
#ifdef__mips__

The hard-coded IOPortBase works for Lemote YeeLoong, but if any other
MIPS system was trying to use it for MMIO until now it would have been
triggering this same crash.

I'm using a minimal custom xorg.conf for this to work (see below).  I
haven't got an attached CRT monitor to work in Xorg yet.

-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Jan 31  2012 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2120512 Oct  1 12:30 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:08.0 VGA compatible controller [0300]: Silicon Motion, Inc. SM712 LynxEM+ [126f:0712] (rev b0)

Xorg X server configuration file status:
----------------------------------------
-rw-r--r-- 1 root root 1262 Feb 12  2012 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
-------------------------------
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Device"
	Identifier	"Card0"
	Driver		"siliconmotion"
        Option		"pci_burst" "true"
        Option		"HWCursor" "true"
        Option		"VideoKey" "45000"
        Option		"UseBIOS" "false"
	Option		"PanelSize" "1024x600"
	Option		"CSCVideo" "false"

	Option		"DPMS" "true"
	Option		"BlankTime" "120"
	Option		"OffTime" "120"
EndSection

Section "Screen"
	Identifier	"Screen0"
	Device		"Card0"
	Monitor		"Monitor0"
	DefaultDepth	16
	SubSection "Display"
		Modes "1024x768"
		Depth 24
	EndSubSection
EndSection

Section "InputDevice"
    Identifier     "Keyboard0"
    Driver         "kbd"
    Option         "XkbLayout" "us"
EndSection

/etc/X11/xorg.conf.d does not exist.

/etc/modprobe.d contains no KMS configuration files.

Kernel version (/proc/version):
-------------------------------
Linux version 3.2.0-2-loongson-2f (Debian 3.2.19-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-5) ) #1 Sat Jun 2 14:04:05 UTC 2012

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 17060 Oct  1 13:24 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[ 20435.928] 
X.Org X Server 1.12.3
Release Date: 2012-07-09
[ 20435.928] X Protocol Version 11, Revision 0
[ 20435.928] Build Operating System: Linux 3.2.0-2-loongson-2f mips64 Debian
[ 20435.928] Current Operating System: Linux loongson 3.2.0-2-loongson-2f #1 Sat Jun 2 14:04:05 UTC 2012 mips64
[ 20435.928] Kernel command line: machtype=lemote-yeeloong-2f-8.9inches root=/dev/mapper/loongson-root ro memtest=4 rd_start=0x809a0000 rd_size=0x343e64 
[ 20435.929] Build Date: 26 September 2012  05:00:30PM
[ 20435.929] xorg-server 2:1.12.3-1+bugfix1 (Steven Chamberlain <steven@pyro.eu.org>) 
[ 20435.929] Current version of pixman: 0.26.0
[ 20435.929] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[ 20435.929] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 20435.930] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Oct  1 13:24:40 2012
[ 20435.934] (==) Using config file: "/etc/X11/xorg.conf"
[ 20435.934] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[ 20435.995] (==) No Layout section.  Using the first Screen section.
[ 20435.995] (**) |-->Screen "Screen0" (0)
[ 20435.995] (**) |   |-->Monitor "<default monitor>"
[ 20435.997] (**) |   |-->Device "Card0"
[ 20435.997] (==) No monitor specified for screen "Screen0".
	Using a default monitor configuration.
[ 20435.997] (==) Automatically adding devices
[ 20435.997] (==) Automatically enabling devices
[ 20436.019] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[ 20436.019] 	Entry deleted from font path.
[ 20436.032] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[ 20436.032] 	Entry deleted from font path.
[ 20436.032] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins
[ 20436.032] (==) ModulePath set to "/usr/lib/xorg/modules"
[ 20436.033] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[ 20436.033] (II) Loader magic: 0x5ee010
[ 20436.033] (II) Module ABI versions:
[ 20436.033] 	X.Org ANSI C Emulation: 0.4
[ 20436.033] 	X.Org Video Driver: 12.0
[ 20436.033] 	X.Org XInput driver : 16.0
[ 20436.033] 	X.Org Server Extension : 6.0
[ 20436.036] (--) PCI:*(0:0:8:0) 126f:0712:0000:0000 rev 176, Mem @ 0x40000000/16777216
[ 20436.037] (II) LoadModule: "extmod"
[ 20436.043] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[ 20436.047] (II) Module extmod: vendor="X.Org Foundation"
[ 20436.048] 	compiled for 1.12.3, module version = 1.0.0
[ 20436.048] 	Module class: X.Org Server Extension
[ 20436.048] 	ABI class: X.Org Server Extension, version 6.0
[ 20436.048] (II) Loading extension SELinux
[ 20436.048] (II) Loading extension MIT-SCREEN-SAVER
[ 20436.048] (II) Loading extension XFree86-VidModeExtension
[ 20436.049] (II) Loading extension XFree86-DGA
[ 20436.049] (II) Loading extension DPMS
[ 20436.049] (II) Loading extension XVideo
[ 20436.049] (II) Loading extension XVideo-MotionCompensation
[ 20436.049] (II) Loading extension X-Resource
[ 20436.049] (II) LoadModule: "dbe"
[ 20436.052] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[ 20436.053] (II) Module dbe: vendor="X.Org Foundation"
[ 20436.053] 	compiled for 1.12.3, module version = 1.0.0
[ 20436.053] 	Module class: X.Org Server Extension
[ 20436.053] 	ABI class: X.Org Server Extension, version 6.0
[ 20436.053] (II) Loading extension DOUBLE-BUFFER
[ 20436.053] (II) LoadModule: "glx"
[ 20436.055] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 20436.077] (II) Module glx: vendor="X.Org Foundation"
[ 20436.077] 	compiled for 1.12.3, module version = 1.0.0
[ 20436.077] 	ABI class: X.Org Server Extension, version 6.0
[ 20436.077] (==) AIGLX enabled
[ 20436.077] (II) Loading extension GLX
[ 20436.077] (II) LoadModule: "record"
[ 20436.079] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[ 20436.080] (II) Module record: vendor="X.Org Foundation"
[ 20436.080] 	compiled for 1.12.3, module version = 1.13.0
[ 20436.080] 	Module class: X.Org Server Extension
[ 20436.080] 	ABI class: X.Org Server Extension, version 6.0
[ 20436.080] (II) Loading extension RECORD
[ 20436.080] (II) LoadModule: "dri"
[ 20436.081] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[ 20436.083] (II) Module dri: vendor="X.Org Foundation"
[ 20436.083] 	compiled for 1.12.3, module version = 1.0.0
[ 20436.084] 	ABI class: X.Org Server Extension, version 6.0
[ 20436.084] (II) Loading extension XFree86-DRI
[ 20436.084] (II) LoadModule: "dri2"
[ 20436.085] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[ 20436.086] (II) Module dri2: vendor="X.Org Foundation"
[ 20436.086] 	compiled for 1.12.3, module version = 1.2.0
[ 20436.086] 	ABI class: X.Org Server Extension, version 6.0
[ 20436.086] (II) Loading extension DRI2
[ 20436.086] (II) LoadModule: "siliconmotion"
[ 20436.087] (II) Loading /usr/lib/xorg/modules/drivers/siliconmotion_drv.so
[ 20436.088] (II) Module siliconmotion: vendor="X.Org Foundation"
[ 20436.088] 	compiled for 1.12.1.902, module version = 1.7.6
[ 20436.088] 	Module class: X.Org Video Driver
[ 20436.088] 	ABI class: X.Org Video Driver, version 12.0
[ 20436.088] (II) SMI: driver (version 1.7.6) for Silicon Motion Lynx chipsets: Lynx,
	LynxE, Lynx3D, LynxEM, LynxEM+, Lynx3DM, Cougar3DR, MSOC
[ 20436.089] (++) using VT number 7

[ 20436.089] (WW) Falling back to old probe method for siliconmotion
[ 20436.090] (--) Assigning device section with no busID to primary device
[ 20436.090] (--) Chipset LynxEM+ found
[ 20436.090] (II) Loading sub module "vgahw"
[ 20436.090] (II) LoadModule: "vgahw"
[ 20436.091] (II) Loading /usr/lib/xorg/modules/libvgahw.so
[ 20436.092] (II) Module vgahw: vendor="X.Org Foundation"
[ 20436.092] 	compiled for 1.12.3, module version = 0.1.0
[ 20436.092] 	ABI class: X.Org Video Driver, version 12.0
[ 20436.093] (II) SMI(0): Creating default Display subsection in Screen section
	"Screen0" for depth/fbbpp 16/16
[ 20436.093] (**) SMI(0): Depth 16, (--) framebuffer bpp 16
[ 20436.093] (==) SMI(0): RGB weight 565
[ 20436.093] (==) SMI(0): Default visual is TrueColor
[ 20436.093] (**) SMI(0): Option "pci_burst" "true"
[ 20436.094] (**) SMI(0): Option "HWCursor" "true"
[ 20436.094] (**) SMI(0): Option "VideoKey" "45000"
[ 20436.094] (**) SMI(0): Option "UseBIOS" "false"
[ 20436.095] (**) SMI(0): Option "PanelSize" "1024x600"
[ 20436.095] (**) SMI(0): Option "CSCVideo" "false"
[ 20436.095] (**) SMI(0): PCI Burst enabled
[ 20436.095] (==) SMI(0): PCI Retry enabled
[ 20436.095] (**) SMI(0): Using Hardware Cursor
[ 20436.095] (**) SMI(0): Option: Video key set to 0x0000AFC8
[ 20436.095] (**) SMI(0): Option: UseBIOS disabled.
[ 20436.095] (--) SMI(0): Chipset: "LynxEM+"
[ 20436.095] (==) SMI(0): Dual head disabled
[ 20436.095] (==) SMI(0): Using XAA acceleration architecture
[ 20436.096] (--) SMI(0): videoram: 4096kB
[ 20436.096] (II) SMI(0): Cursor Offset: 003FFC00
[ 20436.096] (II) SMI(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0
[ 20436.096] (II) SMI(0): Reserved: 003FF800
[ 20436.097] (II) SMI(0): OFF Panel Size = 1024x600
[ 20436.097] (II) Loading sub module "i2c"
[ 20436.097] (II) LoadModule: "i2c"
[ 20436.097] (II) Module "i2c" already built-in
[ 20436.097] (II) SMI(0): I2C bus "I2C bus" initialized.
[ 20436.097] (II) Loading sub module "ddc"
[ 20436.097] (II) LoadModule: "ddc"
[ 20436.097] (II) Module "ddc" already built-in
[ 20436.097] (==) SMI(0): Using gamma correction (1.0, 1.0, 1.0)
[ 20436.097] (II) SMI(0): MCLK = 157.000
[ 20436.098] (II) SMI(0): Output LVDS has no monitor section
[ 20436.098] (II) SMI(0): Printing probed modes for output LVDS
[ 20436.098] (II) SMI(0): Modeline "1024x600"x59.9   49.00  1024 1072 1168 1312  600 603 613 624 -hsync +vsync (37.3 kHz)
[ 20436.098] (II) SMI(0): Output LVDS connected
[ 20436.098] (II) SMI(0): Using sloppy heuristic for initial modes
[ 20436.098] (II) SMI(0): Output LVDS using initial mode 1024x600
[ 20436.098] (II) SMI(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[ 20436.099] (==) SMI(0): DPI set to (96, 96)
[ 20436.099] (II) Loading sub module "fb"
[ 20436.099] (II) LoadModule: "fb"
[ 20436.100] (II) Loading /usr/lib/xorg/modules/libfb.so
[ 20436.110] (II) Module fb: vendor="X.Org Foundation"
[ 20436.110] 	compiled for 1.12.3, module version = 1.0.0
[ 20436.110] 	ABI class: X.Org ANSI C Emulation, version 0.4
[ 20436.110] (II) Loading sub module "xaa"
[ 20436.110] (II) LoadModule: "xaa"
[ 20436.111] (II) Loading /usr/lib/xorg/modules/libxaa.so
[ 20436.129] (II) Module xaa: vendor="X.Org Foundation"
[ 20436.129] 	compiled for 1.12.3, module version = 1.2.1
[ 20436.129] 	ABI class: X.Org Video Driver, version 12.0
[ 20436.129] (II) Loading sub module "ramdac"
[ 20436.129] (II) LoadModule: "ramdac"
[ 20436.130] (II) Module "ramdac" already built-in
[ 20436.130] (II) SMI(0): Cursor Offset: 003FFC00
[ 20436.130] (II) SMI(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0
[ 20436.131] (II) SMI(0): Reserved: 003FF800
[ 20436.519] (II) SMI(0): FrameBuffer Box: 0,0 - 1024,2047
[ 20436.520] (II) SMI(0): Using XFree86 Acceleration Architecture (XAA)
[ 20436.520] 	Screen to screen bit blits
[ 20436.521] 	Solid filled rectangles
[ 20436.521] 	8x8 mono pattern filled rectangles
[ 20436.521] 	8x8 color pattern filled rectangles
[ 20436.521] 	CPU to Screen color expansion
[ 20436.521] 	Solid Horizontal and Vertical Lines
[ 20436.521] 	Setting up tile and stipple cache:
[ 20436.521] 		28 128x128 slots
[ 20436.521] 		7 256x256 slots
[ 20436.521] 		32 8x8 color pattern slots
[ 20436.685] (**) SMI(0): DPMS enabled
[ 20436.686] (II) SMI(0): I2C device "I2C bus:SAA 7111A" registered at address 0x48.
[ 20436.686] (II) SMI(0): I2C device "I2C bus:SAA 7111A" removed.
[ 20436.706] (II) SMI(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[ 20436.706] (WW) SMI(0): Option "BlankTime" is not used
[ 20436.706] (WW) SMI(0): Option "OffTime" is not used
[ 20436.707] (--) RandR disabled
[ 20436.707] (II) Initializing built-in extension Generic Event Extension
[ 20436.707] (II) Initializing built-in extension SHAPE
[ 20436.707] (II) Initializing built-in extension MIT-SHM
[ 20436.707] (II) Initializing built-in extension XInputExtension
[ 20436.707] (II) Initializing built-in extension XTEST
[ 20436.707] (II) Initializing built-in extension BIG-REQUESTS
[ 20436.707] (II) Initializing built-in extension SYNC
[ 20436.707] (II) Initializing built-in extension XKEYBOARD
[ 20436.707] (II) Initializing built-in extension XC-MISC
[ 20436.707] (II) Initializing built-in extension SECURITY
[ 20436.707] (II) Initializing built-in extension XINERAMA
[ 20436.707] (II) Initializing built-in extension XFIXES
[ 20436.707] (II) Initializing built-in extension RENDER
[ 20436.707] (II) Initializing built-in extension RANDR
[ 20436.707] (II) Initializing built-in extension COMPOSITE
[ 20436.707] (II) Initializing built-in extension DAMAGE
[ 20436.708] (II) SELinux: Disabled on system
[ 20436.852] (II) AIGLX: Screen 0 is not DRI2 capable
[ 20436.852] (II) AIGLX: Screen 0 is not DRI capable
[ 20437.001] (II) AIGLX: Loaded and initialized swrast
[ 20437.001] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[ 20437.007] (II) SMI(0): Setting screen physical size to 270 x 158
[ 20437.918] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/event2)
[ 20437.919] (**) Logitech USB Optical Mouse: Applying InputClass "evdev pointer catchall"
[ 20437.919] (II) LoadModule: "evdev"
[ 20437.919] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 20437.920] (II) Module evdev: vendor="X.Org Foundation"
[ 20437.920] 	compiled for 1.12.1, module version = 2.7.0
[ 20437.921] 	Module class: X.Org XInput Driver
[ 20437.921] 	ABI class: X.Org XInput driver, version 16.0
[ 20437.921] (II) Using input driver 'evdev' for 'Logitech USB Optical Mouse'
[ 20437.921] (**) Logitech USB Optical Mouse: always reports core events
[ 20437.921] (**) evdev: Logitech USB Optical Mouse: Device: "/dev/input/event2"
[ 20437.922] (--) evdev: Logitech USB Optical Mouse: Vendor 0x46d Product 0xc046
[ 20437.922] (--) evdev: Logitech USB Optical Mouse: Found 12 mouse buttons
[ 20437.922] (--) evdev: Logitech USB Optical Mouse: Found scroll wheel(s)
[ 20437.922] (--) evdev: Logitech USB Optical Mouse: Found relative axes
[ 20437.922] (--) evdev: Logitech USB Optical Mouse: Found x and y relative axes
[ 20437.923] (II) evdev: Logitech USB Optical Mouse: Configuring as mouse
[ 20437.923] (II) evdev: Logitech USB Optical Mouse: Adding scrollwheel support
[ 20437.923] (**) evdev: Logitech USB Optical Mouse: YAxisMapping: buttons 4 and 5
[ 20437.923] (**) evdev: Logitech USB Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 20437.923] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2/event2"
[ 20437.923] (II) XINPUT: Adding extended input device "Logitech USB Optical Mouse" (type: MOUSE, id 6)
[ 20437.924] (II) evdev: Logitech USB Optical Mouse: initialized for relative axes.
[ 20437.925] (**) Logitech USB Optical Mouse: (accel) keeping acceleration scheme 1
[ 20437.925] (**) Logitech USB Optical Mouse: (accel) acceleration profile 0
[ 20437.925] (**) Logitech USB Optical Mouse: (accel) acceleration factor: 2.000
[ 20437.925] (**) Logitech USB Optical Mouse: (accel) acceleration threshold: 4
[ 20437.927] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/mouse1)
[ 20437.927] (II) No input driver specified, ignoring this device.
[ 20437.927] (II) This device may have been added with another device file.
[ 20437.929] (II) config/udev: Adding input device AT Raw Set 2 keyboard (/dev/input/event0)
[ 20437.930] (**) AT Raw Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[ 20437.930] (II) Using input driver 'evdev' for 'AT Raw Set 2 keyboard'
[ 20437.930] (**) AT Raw Set 2 keyboard: always reports core events
[ 20437.930] (**) evdev: AT Raw Set 2 keyboard: Device: "/dev/input/event0"
[ 20437.930] (--) evdev: AT Raw Set 2 keyboard: Vendor 0x1 Product 0x2
[ 20437.930] (--) evdev: AT Raw Set 2 keyboard: Found keys
[ 20437.930] (II) evdev: AT Raw Set 2 keyboard: Configuring as keyboard
[ 20437.931] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[ 20437.931] (II) XINPUT: Adding extended input device "AT Raw Set 2 keyboard" (type: KEYBOARD, id 7)
[ 20437.931] (**) Option "xkb_rules" "evdev"
[ 20437.931] (**) Option "xkb_model" "pc105"
[ 20437.931] (**) Option "xkb_layout" "gb"
[ 20438.206] (II) config/udev: Adding input device FSPPS/2 Sentelic FingerSensingPad (/dev/input/event1)
[ 20438.206] (**) FSPPS/2 Sentelic FingerSensingPad: Applying InputClass "evdev pointer catchall"
[ 20438.206] (II) Using input driver 'evdev' for 'FSPPS/2 Sentelic FingerSensingPad'
[ 20438.207] (**) FSPPS/2 Sentelic FingerSensingPad: always reports core events
[ 20438.207] (**) evdev: FSPPS/2 Sentelic FingerSensingPad: Device: "/dev/input/event1"
[ 20438.207] (--) evdev: FSPPS/2 Sentelic FingerSensingPad: Vendor 0x2 Product 0xf
[ 20438.207] (--) evdev: FSPPS/2 Sentelic FingerSensingPad: Found 11 mouse buttons
[ 20438.207] (--) evdev: FSPPS/2 Sentelic FingerSensingPad: Found scroll wheel(s)
[ 20438.207] (--) evdev: FSPPS/2 Sentelic FingerSensingPad: Found relative axes
[ 20438.207] (--) evdev: FSPPS/2 Sentelic FingerSensingPad: Found x and y relative axes
[ 20438.207] (II) evdev: FSPPS/2 Sentelic FingerSensingPad: Configuring as mouse
[ 20438.208] (II) evdev: FSPPS/2 Sentelic FingerSensingPad: Adding scrollwheel support
[ 20438.208] (**) evdev: FSPPS/2 Sentelic FingerSensingPad: YAxisMapping: buttons 4 and 5
[ 20438.208] (**) evdev: FSPPS/2 Sentelic FingerSensingPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 20438.208] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input1/event1"
[ 20438.208] (II) XINPUT: Adding extended input device "FSPPS/2 Sentelic FingerSensingPad" (type: MOUSE, id 8)
[ 20438.208] (II) evdev: FSPPS/2 Sentelic FingerSensingPad: initialized for relative axes.
[ 20438.209] (**) FSPPS/2 Sentelic FingerSensingPad: (accel) keeping acceleration scheme 1
[ 20438.210] (**) FSPPS/2 Sentelic FingerSensingPad: (accel) acceleration profile 0
[ 20438.211] (**) FSPPS/2 Sentelic FingerSensingPad: (accel) acceleration factor: 2.000
[ 20438.211] (**) FSPPS/2 Sentelic FingerSensingPad: (accel) acceleration threshold: 4
[ 20438.220] (II) config/udev: Adding input device FSPPS/2 Sentelic FingerSensingPad (/dev/input/mouse0)
[ 20438.220] (II) No input driver specified, ignoring this device.
[ 20438.220] (II) This device may have been added with another device file.

udev information:
-----------------
P: /devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2
E: DEVPATH=/devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2
E: EV=17
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c046
E: ID_PATH=pci-0000:00:0e.4-usb-0:3:1.0
E: ID_PATH_TAG=pci-0000_00_0e_4-usb-0_3_1_0
E: ID_REVISION=2710
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: KEY=ff0000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0003v046DpC046e0110-e0,1,2,4,k110,111,112,113,114,115,116,117,r0,1,6,8,am4,lsfw
E: MSC=10
E: NAME="Logitech USB Optical Mouse"
E: PHYS="usb-0000:00:0e.4-3/input0"
E: PRODUCT=3/46d/c046/110
E: PROP=0
E: REL=143
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=98402198

P: /devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2/event2
N: input/event2
S: input/by-id/usb-Logitech_USB_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:0e.4-usb-0:3:1.0-event-mouse
E: DEVLINKS=/dev/input/by-id/usb-Logitech_USB_Optical_Mouse-event-mouse /dev/input/by-path/pci-0000:00:0e.4-usb-0:3:1.0-event-mouse
E: DEVNAME=/dev/input/event2
E: DEVPATH=/devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2/event2
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c046
E: ID_PATH=pci-0000:00:0e.4-usb-0:3:1.0
E: ID_PATH_TAG=pci-0000_00_0e_4-usb-0_3_1_0
E: ID_REVISION=2710
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=98462501

P: /devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2/mouse1
N: input/mouse1
S: input/by-id/usb-Logitech_USB_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:0e.4-usb-0:3:1.0-mouse
E: DEVLINKS=/dev/input/by-id/usb-Logitech_USB_Optical_Mouse-mouse /dev/input/by-path/pci-0000:00:0e.4-usb-0:3:1.0-mouse
E: DEVNAME=/dev/input/mouse1
E: DEVPATH=/devices/pci0000:00/0000:00:0e.4/usb4/4-3/4-3:1.0/input/input2/mouse1
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c046
E: ID_PATH=pci-0000:00:0e.4-usb-0:3:1.0
E: ID_PATH_TAG=pci-0000_00_0e_4-usb-0_3_1_0
E: ID_REVISION=2710
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: MAJOR=13
E: MINOR=33
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=98464728

P: /devices/platform/i8042/serio0/input/input0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0
E: EV=120013
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: KEY=4 2000000 3803078 f800d001 feffffdf ffefffff ffffffff fffffffe
E: LED=7
E: MODALIAS=input:b0011v0001p0002eAB41-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="AT Raw Set 2 keyboard"
E: PHYS="isa0060/serio0/input0"
E: PRODUCT=11/1/2/ab41
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=21371224

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DEVNAME=/dev/input/event0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=21964900
E: XKBLAYOUT=gb
E: XKBMODEL=pc105

P: /devices/platform/i8042/serio1/input/input1
E: DEVPATH=/devices/platform/i8042/serio1/input/input1
E: EV=7
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: KEY=670000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0011v0002p000Fe0000-e0,1,2,k110,111,112,115,116,r0,1,6,8,amlsfw
E: NAME="FSPPS/2 Sentelic FingerSensingPad"
E: PHYS="isa0060/serio1/input0"
E: PRODUCT=11/2/f/0
E: PROP=0
E: REL=143
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=21372868

P: /devices/platform/i8042/serio1/input/input1/event1
N: input/event1
S: input/by-path/platform-i8042-serio-1-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
E: DEVNAME=/dev/input/event1
E: DEVPATH=/devices/platform/i8042/serio1/input/input1/event1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=21966120

P: /devices/platform/i8042/serio1/input/input1/mouse0
N: input/mouse0
S: input/by-path/platform-i8042-serio-1-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/platform/i8042/serio1/input/input1/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=21948226


DRM Information from dmesg:
---------------------------


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: mipsel (mips64)

Kernel: Linux 3.2.0-2-loongson-2f
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/mksh-static

Versions of packages xserver-xorg-video-siliconmotion depends on:
ii  libc6              2.13-35
pn  xorg-video-abi-12  <none>
pn  xserver-xorg-core  <none>

xserver-xorg-video-siliconmotion recommends no packages.

xserver-xorg-video-siliconmotion suggests no packages.

-- no debconf information
[20_mipsel_support_loongson_mmio.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sun, 07 Oct 2012 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to liu shiwei <liushiwei@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Oct 2012 22:33:06 GMT) Full text and rfc822 format available.

Message #157 received at 594684@bugs.debian.org (full text, mbox):

From: liu shiwei <liushiwei@gmail.com>
To: 594684@bugs.debian.org, 601119@bugs.debian.org
Subject: new patch
Date: Mon, 8 Oct 2012 06:31:24 +0800
[Message part 1 (text/plain, inline)]
let  sm712  not run  inb()  outb() .
[97_inb_outb.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 20 Oct 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to xdrudis <xdrudis@tinet.cat>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 20 Oct 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #162 received at 594684@bugs.debian.org (full text, mbox):

From: xdrudis <xdrudis@tinet.cat>
To: 594684@bugs.debian.org
Subject: 20_mipsel_support_loongson_mmio.patch works for me
Date: Sat, 20 Oct 2012 21:36:59 +0200
Hello.

I'm just writing to say thanks for the patch
20_mipsel_support_loongson_mmio.patch 
sent by Steven Chamberlain.

I applied it and now X works (slowish) in 
my yeeloong with a Wheezy installed with
the 2012-10-11 nigthly netinst for yeeloong
and just upgraded.

I wish I could help get it upstream but I don't 
know how.



Marked as found in versions xserver-xorg-video-siliconmotion/1:1.7.5-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 16 Mar 2013 10:57:09 GMT) Full text and rfc822 format available.

Merged 594684 669134 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 16 Mar 2013 10:57:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 594684: 601119 Request was from Steven Chamberlain <steven@pyro.eu.org> to 601119-submit@bugs.debian.org. (Fri, 22 Mar 2013 13:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Tue, 04 Mar 2014 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kirill Brilliantov <brilliantov@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 04 Mar 2014 08:51:05 GMT) Full text and rfc822 format available.

Message #173 received at 594684@bugs.debian.org (full text, mbox):

From: Kirill Brilliantov <brilliantov@inbox.ru>
To: 594684@bugs.debian.org
Subject: Re: xserver-xorg-video-siliconmotion: siliconmotion driver segfaults on a Lemote YeeLoong (SM712 LynxEM+)
Date: Tue, 04 Mar 2014 12:44:31 +0400
[Message part 1 (text/plain, inline)]
 Package: xserver-xorg-video-siliconmotion
Version: 1:1.7.7-2+b1
Followup-For: Bug #594684

Hello!
I try use https://wiki.debian.org/DebianYeeloong/HowTo/Install for start X-server.
Unfortunally both patches (01_mips-sarea.diff, 20_mipsel_support_loongson_mmio.patch)
not apply on xorg-server-1.15.0.

-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Mar  1 21:08 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2471800 Feb  7 19:16 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:08.0 VGA compatible controller [0300]: Silicon Motion, Inc. SM712 LynxEM+ [126f:0712] (rev b0)

Xorg X server configuration file status:
----------------------------------------
-rwxr-xr-x 1 root root 993 Mar  1 22:48 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
-------------------------------
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Device"
        Identifier      "Card0"
        Driver          "siliconmotion"
        Option          "pci_burst" "true"
        Option          "HWCursor" "true"
        Option          "VideoKey" "45000"
        Option          "UseBIOS" "false"
        Option          "PanelSize" "1024x600"
        Option          "CSCVideo" "false"
EndSection

Section "Screen"
        Identifier      "Screen0"
        Device          "Card0"
        Monitor         "Monitor0"
        DefaultDepth    16
EndSection

/etc/X11/xorg.conf.d does not exist.

/etc/modprobe.d contains no KMS configuration files.

Kernel version (/proc/version):
-------------------------------
Linux version 3.12-1-loongson-2f (debian-kernel@lists.debian.org) (gcc version 4.8.2 (Debian 4.8.2-14) ) #1 Debian 3.12.9-1 (2014-02-01)

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 7170 Mar 12 12:25 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[  6242.655] 
X.Org X Server 1.15.0
Release Date: 2013-12-27
[  6242.724] X Protocol Version 11, Revision 0
[  6242.747] Build Operating System: Linux 3.2.0-4-sb1-bcm91250a mips Debian
[  6242.772] Current Operating System: Linux yeeloong 3.12-1-loongson-2f #1 Debian 3.12.9-1 (2014-02-01) mips64
[  6242.773] Kernel command line: machtype=lemote-yeeloong-2f-8.9inches root=UUID=50a3c27f-b88e-439a-82b5-cb30b267de3a ro rd_start=0x80b70000 rd_size=0xb60ea4 
[  6242.851] Build Date: 07 February 2014  02:26:29PM
[  6242.877] xorg-server 2:1.15.0-2 (http://www.debian.org/support) 
[  6242.903] Current version of pixman: 0.32.4
[  6242.956]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[  6242.956] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  6243.068] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar 12 12:25:26 2014
[  6243.097] (==) Using config file: "/etc/X11/xorg.conf"
[  6243.127] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  6243.129] (==) No Layout section.  Using the first Screen section.
[  6243.129] (**) |-->Screen "Screen0" (0)
[  6243.129] (**) |   |-->Monitor "<default monitor>"
[  6243.130] (**) |   |-->Device "Card0"
[  6243.130] (==) No monitor specified for screen "Screen0".
        Using a default monitor configuration.
[  6243.130] (==) Automatically adding devices
[  6243.130] (==) Automatically enabling devices
[  6243.130] (==) Automatically adding GPU devices
[  6243.131] (WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
[  6243.131]    Entry deleted from font path.
[  6243.131] (==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/cyrillic,
        /usr/share/fonts/X11/100dpi/:unscaled,
        /usr/share/fonts/X11/75dpi/:unscaled,
        /usr/share/fonts/X11/100dpi,
        /usr/share/fonts/X11/75dpi,
        built-ins
[  6243.131] (==) ModulePath set to "/usr/lib/xorg/modules"
[  6243.131] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[  6243.131] (II) Loader magic: 0x63c010
[  6243.131] (II) Module ABI versions:
[  6243.131]    X.Org ANSI C Emulation: 0.4
[  6243.131]    X.Org Video Driver: 15.0
[  6243.131]    X.Org XInput driver : 20.0
[  6243.131]    X.Org Server Extension : 8.0
[  6243.134] (--) PCI:*(0:0:8:0) 126f:0712:0000:0000 rev 176, Mem @ 0x40000000/16777217
[  6243.165] Initializing built-in extension Generic Event Extension
[  6243.194] Initializing built-in extension SHAPE
[  6243.224] Initializing built-in extension MIT-SHM
[  6243.253] Initializing built-in extension XInputExtension
[  6243.282] Initializing built-in extension XTEST
[  6243.311] Initializing built-in extension BIG-REQUESTS
[  6243.340] Initializing built-in extension SYNC
[  6243.369] Initializing built-in extension XKEYBOARD
[  6243.397] Initializing built-in extension XC-MISC
[  6243.426] Initializing built-in extension SECURITY
[  6243.454] Initializing built-in extension XINERAMA
[  6243.482] Initializing built-in extension XFIXES
[  6243.509] Initializing built-in extension RENDER
[  6243.535] Initializing built-in extension RANDR
[  6243.562] Initializing built-in extension COMPOSITE
[  6243.587] Initializing built-in extension DAMAGE
[  6243.612] Initializing built-in extension MIT-SCREEN-SAVER
[  6243.637] Initializing built-in extension DOUBLE-BUFFER
[  6243.662] Initializing built-in extension RECORD
[  6243.687] Initializing built-in extension DPMS
[  6243.711] Initializing built-in extension Present
[  6243.734] Initializing built-in extension DRI3
[  6243.756] Initializing built-in extension X-Resource
[  6243.776] Initializing built-in extension XVideo
[  6243.795] Initializing built-in extension XVideo-MotionCompensation
[  6243.816] Initializing built-in extension SELinux
[  6243.835] Initializing built-in extension XFree86-VidModeExtension
[  6243.852] Initializing built-in extension XFree86-DGA
[  6243.868] Initializing built-in extension XFree86-DRI
[  6243.883] Initializing built-in extension DRI2
[  6243.883] (II) LoadModule: "glx"
[  6243.884] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  6243.886] (II) Module glx: vendor="X.Org Foundation"
[  6243.886]    compiled for 1.15.0, module version = 1.0.0
[  6243.886]    ABI class: X.Org Server Extension, version 8.0
[  6243.886] (==) AIGLX enabled
[  6243.901] Loading extension GLX
[  6243.901] (II) LoadModule: "siliconmotion"
[  6243.901] (II) Loading /usr/lib/xorg/modules/drivers/siliconmotion_drv.so
[  6243.902] (II) Module siliconmotion: vendor="X.Org Foundation"
[  6243.902]    compiled for 1.15.0, module version = 1.7.7
[  6243.902]    Module class: X.Org Video Driver
[  6243.902]    ABI class: X.Org Video Driver, version 15.0
[  6243.902] (II) SMI: driver (version 1.7.7) for Silicon Motion Lynx chipsets: Lynx,
        LynxE, Lynx3D, LynxEM, LynxEM+, Lynx3DM, Cougar3DR, MSOC
[  6243.903] (--) using VT number 7

[  6243.987] (WW) Falling back to old probe method for siliconmotion
[  6243.988] (--) Assigning device section with no busID to primary device
[  6243.988] (--) Chipset LynxEM+ found
[  6243.988] (II) Loading sub module "vgahw"
[  6243.988] (II) LoadModule: "vgahw"
[  6243.989] (II) Loading /usr/lib/xorg/modules/libvgahw.so
[  6243.990] (II) Module vgahw: vendor="X.Org Foundation"
[  6243.990]    compiled for 1.15.0, module version = 0.1.0
[  6243.990]    ABI class: X.Org Video Driver, version 15.0
[  6243.990] (II) SMI(0): Creating default Display subsection in Screen section
        "Screen0" for depth/fbbpp 16/16
[  6243.990] (**) SMI(0): Depth 16, (--) framebuffer bpp 16
[  6243.990] (==) SMI(0): RGB weight 565
[  6243.990] (==) SMI(0): Default visual is TrueColor
[  6243.991] (**) SMI(0): Option "pci_burst" "true"
[  6243.991] (**) SMI(0): Option "HWCursor" "true"
[  6243.991] (**) SMI(0): Option "VideoKey" "45000"
[  6243.991] (**) SMI(0): Option "UseBIOS" "false"
[  6243.991] (**) SMI(0): Option "PanelSize" "1024x600"
[  6243.991] (**) SMI(0): Option "CSCVideo" "false"
[  6243.991] (**) SMI(0): PCI Burst enabled
[  6243.991] (==) SMI(0): PCI Retry enabled
[  6243.991] (**) SMI(0): Using Hardware Cursor
[  6243.991] (**) SMI(0): Option: Video key set to 0x0000AFC8
[  6243.991] (**) SMI(0): Option: UseBIOS disabled.
[  6243.991] (--) SMI(0): Chipset: "LynxEM+"
[  6243.991] (==) SMI(0): Dual head disabled
[  6243.991] (==) SMI(0): Using XAA acceleration architecture
[  6243.992] (EE) 
[  6243.992] (EE) Backtrace:
[  6243.992] (EE) 0: /usr/bin/X (xorg_backtrace+0x78) [0x5eac28]
[  6243.993] (EE) 
[  6243.993] (EE) Segmentation fault at address 0x3c4
[  6243.993] (EE) 
Fatal server error:
[  6243.993] (EE) Caught signal 11 (Segmentation fault). Server aborting
[  6243.994] (EE) 
[  6243.994] (EE) 
Please consult the The X.Org Foundation support 
         at http://wiki.x.org
 for help. 
[  6243.994] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  6243.994] (EE) 
[  6244.163] (EE) Server terminated with error (1). Closing log file.

udev information:
-----------------
P: /devices/pci0000:00/0000:00:09.1/usb1/1-1/1-1:1.0/input/input3
E: DEVPATH=/devices/pci0000:00/0000:00:09.1/usb1/1-1/1-1:1.0/input/input3
E: EV=3
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=USB_2.0_Camera
E: ID_MODEL_ENC=USB\x202.0\x20Camera
E: ID_MODEL_ID=a114
E: ID_PATH=pci-0000:00:09.1-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_09_1-usb-0_1_1_0
E: ID_REVISION=1017
E: ID_SERIAL=SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113
E: ID_SERIAL_SHORT=CN0317-S30C-MC03-VS-B20081113
E: ID_TYPE=video
E: ID_USB_DRIVER=uvcvideo
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=SuYin
E: ID_VENDOR_ENC=SuYin
E: ID_VENDOR_ID=064e
E: KEY=100000 0 0 0 0 0 0
E: MODALIAS=input:b0003v064EpA114e1017-e0,1,kD4,ramlsfw
E: NAME="USB 2.0 Camera"
E: PHYS="usb-0000:00:09.1-1/button"
E: PRODUCT=3/64e/a114/1017
E: PROP=0
E: SUBSYSTEM=input
E: USEC_INITIALIZED=7977986

P: /devices/pci0000:00/0000:00:09.1/usb1/1-1/1-1:1.0/input/input3/event2
N: input/event2
S: input/by-id/usb-SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113-event-if00
S: input/by-path/pci-0000:00:09.1-usb-0:1:1.0-event
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-id/usb-SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113-event-if00 /dev/input/by-path/pci-0000:00:09.1-usb-0:1:1.0-event
E: DEVNAME=/dev/input/event2
E: DEVPATH=/devices/pci0000:00/0000:00:09.1/usb1/1-1/1-1:1.0/input/input3/event2
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_MODEL=USB_2.0_Camera
E: ID_MODEL_ENC=USB\x202.0\x20Camera
E: ID_MODEL_ID=a114
E: ID_PATH=pci-0000:00:09.1-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_09_1-usb-0_1_1_0
E: ID_REVISION=1017
E: ID_SERIAL=SuYin_USB_2.0_Camera_CN0317-S30C-MC03-VS-B20081113
E: ID_SERIAL_SHORT=CN0317-S30C-MC03-VS-B20081113
E: ID_TYPE=video
E: ID_USB_DRIVER=uvcvideo
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=SuYin
E: ID_VENDOR_ENC=SuYin
E: ID_VENDOR_ID=064e
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: USEC_INITIALIZED=7984636
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/platform/i8042/serio0/input/input0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0
E: EV=120013
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: KEY=4 2000000 3803078 f800d001 feffffdf ffefffff ffffffff fffffffe
E: LED=7
E: MODALIAS=input:b0011v0001p0002eAB41-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="AT Raw Set 2 keyboard"
E: PHYS="isa0060/serio0/input0"
E: PRODUCT=11/1/2/ab41
E: PROP=0
E: SUBSYSTEM=input
E: USEC_INITIALIZED=6711093

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DEVNAME=/dev/input/event0
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: USEC_INITIALIZED=7237936
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/platform/i8042/serio1/input/input2
E: DEVPATH=/devices/platform/i8042/serio1/input/input2
E: EV=7
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: KEY=670000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0011v0002p000Fe0000-e0,1,2,k110,111,112,115,116,r0,1,6,8,amlsfw
E: NAME="FSPPS/2 Sentelic FingerSensingPad"
E: PHYS="isa0060/serio1/input0"
E: PRODUCT=11/2/f/0
E: PROP=0
E: REL=143
E: SUBSYSTEM=input
E: USEC_INITIALIZED=6711357

P: /devices/platform/i8042/serio1/input/input2/event1
N: input/event1
S: input/by-path/platform-i8042-serio-1-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
E: DEVNAME=/dev/input/event1
E: DEVPATH=/devices/platform/i8042/serio1/input/input2/event1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: USEC_INITIALIZED=7239375

P: /devices/platform/i8042/serio1/input/input2/mouse0
N: input/mouse0
S: input/by-path/platform-i8042-serio-1-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/platform/i8042/serio1/input/input2/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: USEC_INITIALIZED=6711474


DRM Information from dmesg:
---------------------------


-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: mipsel (mips64)

Kernel: Linux 3.12-1-loongson-2f
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-siliconmotion depends on:
ii  libc6                                  2.17-97
ii  xserver-xorg-core [xorg-video-abi-15]  2:1.15.0-2

xserver-xorg-video-siliconmotion recommends no packages.

xserver-xorg-video-siliconmotion suggests no packages.

-- no debconf information
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#594684; Package xserver-xorg-video-siliconmotion. (Sat, 08 Mar 2014 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brilliantov Kirill Vladimirovich <brilliantov@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 08 Mar 2014 15:51:04 GMT) Full text and rfc822 format available.

Message #178 received at 594684@bugs.debian.org (full text, mbox):

From: Brilliantov Kirill Vladimirovich <brilliantov@inbox.ru>
To: 594684@bugs.debian.org
Subject: Re: Bug#594684: Segmentation fault X-server 1.15
Date: Sat, 8 Mar 2014 19:49:11 +0400
[Message part 1 (text/plain, inline)]
Problem solved with patch [0], please see attache.
Thanks Michał Masłowski from loongson-dev@googlegroups.com [1]

[0] https://projects.parabolagnulinux.org/abslibre-mips64el.git/tree/extra/xorg-server/loongson.patch
[1] https://groups.google.com/forum/#!topic/loongson-dev/TLE3YmKZNpI
[loongson.patch (text/x-diff, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:29:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.